## Index

### Classes

- AbstractDetailPage
- AbstractMasterPage
- BooleanCheckboxControlRenderer
- BooleanToggleControlRenderer
- CategorizationMenuLayoutRenderer
- CategorizationTabLayoutRenderer
- CategoryRenderer
- DateControlRenderer
- DetailPage
- EnumControlRenderer
- GroupLayoutRenderer
- HorizontalLayoutRenderer
- JsonFormsIonicLayout
- JsonFormsIonicModule
- LabelRenderer
- MasterDetailComponent
- MasterDetailNavService
- MasterPage
- NumberControlRenderer
- RangeControlRenderer
- StringControlRenderer
- VerticalLayoutRenderer

### Interfaces

- MasterItem

### Variables

- booleanControlTester
- booleanToggleControlTester
- categorizationTester
- dateControlTester
- enumControlTester
- groupTester
- horizontalLayoutTester
- keywords
- labelTester
- masterDetailTester
- numberControlTester
- rangeControlTester
- stringControlTester
- verticalLayoutTester

### Functions

- removeSchemaKeywords

## Variables

### Const booleanControlTester

booleanControlTester: RankedTester = rankWith(2,isBooleanControl)

- Defined in controls/boolean/boolean-checkbox-control.ts:27

### Const booleanToggleControlTester

booleanToggleControlTester: RankedTester = rankWith(3,and(isBooleanControl, optionIs('toggle', true)))

- Defined in controls/boolean/boolean-toggle-control.ts:38

### Const categorizationTester

categorizationTester: RankedTester = rankWith(2,and(uiTypeIs('Categorization'),categorizationHasCategory))

- Defined in layouts/categorization/categorization-menu-layout.ts:94
- Defined in layouts/categorization/categorization-tab-layout.ts:64

### Const dateControlTester

dateControlTester: RankedTester = rankWith(2,isDateControl)

- Defined in controls/date/date-control.ts:27

### Const enumControlTester

enumControlTester: RankedTester = rankWith(2,isEnumControl)

- Defined in controls/enum/enum-control.ts:35

### Const groupTester

groupTester: RankedTester = rankWith(1, uiTypeIs('Group'))

- Defined in layouts/group/group-layout.ts:45

### Const horizontalLayoutTester

horizontalLayoutTester: RankedTester = rankWith(1, uiTypeIs('HorizontalLayout'))

- Defined in layouts/horizontal/horizontal-layout.ts:30

### Const keywords

keywords: string[] = ['#', 'properties', 'items']

- Defined in common.ts:3

### Const labelTester

labelTester: RankedTester = rankWith(4,uiTypeIs('Label'))

- Defined in other/label/label.ts:27

### Const masterDetailTester

masterDetailTester: RankedTester = rankWith(4,uiTypeIs('ListWithDetail'))

- Defined in other/master-detail/master-detail.ts:119

### Const numberControlTester

numberControlTester: RankedTester = rankWith(2,or(isNumberControl, isIntegerControl))

- Defined in controls/number/number-control.ts:57

### Const rangeControlTester

rangeControlTester: RankedTester = rankWith(4, isRangeControl)

- Defined in controls/range/range-control.ts:70

### Const stringControlTester

stringControlTester: RankedTester = rankWith(1,isControl)

- Defined in controls/string/string-control.ts:45

### Const verticalLayoutTester

verticalLayoutTester: RankedTester = rankWith(1, uiTypeIs('VerticalLayout'))

- Defined in layouts/vertical/vertical-layout.ts:24

## Functions

### Const removeSchemaKeywords

- removeSchemaKeywords(path: string): string

- - Defined in common.ts:5

  #### Parameters

  - ##### path: string

  #### Returns string

Generated using TypeDoc